gnutls_dh_params_cpy(3)

NAME
gnutls_dh_params_cpy - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_dh_params_cpy(gnutls_dh_params_t dst, gnutls_dh_params_t src);

ARGUMENTS

gnutls_dh_params_t dst
    Is the destination parameters, which should be initialized.

gnutls_dh_params_t src
    Is the source parameters

DESCRIPTION
This function will copy the DH parameters structure from source to destination. The destination should be already initialized.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/